%global pypi_name jaraco.collections

Name:           python-jaraco-collections
Version:        3.5.1
Release:        %mkrel 2
Summary:        Collection objects similar to those in stdlib by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.collections
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(jaraco.classes)
BuildRequires:  python3dist(jaraco.packaging) >= 3.2

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15.0
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(sphinx)

%if %{with tests}
# test requirements
BuildRequires:  python3dist(jaraco.text)
BuildRequires:  python3dist(pytest) >= 3.5
BuildRequires:  python3dist(pytest-black-multipy)
BuildRequires:  python3dist(pytest-checkdocs) >= 1.2.3
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(six) >= 1.7.0
%endif

%description
%{summary}

%package -n     python3-jaraco-collections
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco

%description -n python3-jaraco-collections
%{summary}

%package -n python-jaraco-collections-doc
Summary:        jaraco.collections documentation

%description -n python-jaraco-collections-doc
Documentation for jaraco.collections

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if %{with tests}
%check
%pytest
%endif

%install
%py3_install

%files -n python3-jaraco-collections
%doc LICENSE
%doc README.rst
# These excludes are provided by python3-jaraco
%pycached %exclude %{python3_sitelib}/jaraco/__init__.py
%pycached %{python3_sitelib}/jaraco/collections.py
%{python3_sitelib}/jaraco.collections-%{version}-py%{python3_version}.egg-info/

%files -n python-jaraco-collections-doc
%doc html
%doc LICENSE


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 3.5.1-2.mga9
+ Revision: 1832835
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.5.1-1.mga9
+ Revision: 1784289
- version 3.5.1
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 3.2.0-1.mga9
+ Revision: 1706726
- rebuild for python 3.9

* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1644338
- imported package python-jaraco-collections

